<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="clearBack()" style="cursor: pointer;"><i class="fa fa-chevron-left"></i>
                        &nbsp; Back</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i
                            class="fa fa-save"></i> &nbsp;Save</a>
                </li>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                    (click)="clearBack()">&times;</button>
            </ul>
        </p-header>
        <div class="text-left" style="margin-bottom: 15px;">
            <div class="row">
                <div class="col-md-4" [hidden]="(internal !== 'TEKNIK')">
                    <div class="form-group">
                        <label class="form-control-label" for="field_Tipe">Tipe</label>
                        <select class="form-control" id="field_tipe" name="tipe" [(ngModel)]="inputTipe"
                            (blur)="simpanTipe()" [disabled]="readonly">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="tipeOption.value" *ngFor="let tipeOption of tipe">{{tipeOption.label}}
                            </option>
                        </select>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtOrder">Tanggal Permintaan </label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtOrder" name="input_dtOrder" [(ngModel)]="dtOrder"
                                dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                yearRange="2000:2999" [showIcon]="true" [disabled]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <!-- <div class="form-group">
                    <label class="form-control-label" for="field_divition">Divition</label>
                    <input type="text" class="form-control" name="divition" id="field_divition"
                        [(ngModel)]="purchaseOrder.divition" />
                </div> -->
                <!-- <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label"  for="field_divition">Division</label>
                        <select class="form-control" id="field_divition" name="divition" [(ngModel)]="inputDivition" [disabled]="readonly">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of divitions">{{divitionOption.value}}</option>
                        </select>
                    </div>
                </div> -->
                <!-- <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-control-label"  for="field_Sifat">Sifat</label>
                        <select class="form-control" id="field_sifat" name="sifat" [(ngModel)]="inputSifat" [disabled]="readonly">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="sifatOption.value" *ngFor="let sifatOption of sifats">{{sifatOption.value}}</option>
                        </select>
                    </div>
                </div> -->
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_dtNecessity">Tgl Dibutuhkan</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dtNecessity" name="input_dtNecessity"
                                [(ngModel)]="inputDtNecessity" dateFormat="dd-MM-yy" [monthNavigator]="true"
                                [yearNavigator]="true" yearRange="2000:2999" [showTime]="true"
                                (onSelect)="selectTglBth(true)" [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label mandatory" for="field_need">Kebutuhan</label>
                        <select class="form-control" id="field_need" name="need" [(ngModel)]="inputNeeds"
                            (change)="kebutuhan()" [disabled]="readonly">
                            <option [ngValue]="null"></option>
                            <option [ngValue]="needOption.value" *ngFor="let needOption of needs">{{needOption.value}}
                            </option>
                        </select>
                    </div>
                </div>
                <!-- <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_ket">Catatan</label>
                        <input type="text" class="form-control" name="ket" id="field_ket"
                            [(ngModel)]="inputKet" />
                    </div>
                </div> -->
                <div class="col-md-4" [hidden]="(idlocal === 'pusat')">
                    <div class="form-group">
                        <label class="form-control-label mandatory" for="field_diusilkan">Diusulkan Oleh</label>
                        <p-dropdown [options]="listUSL" styleClass="form-control" autoWidth="false"
                            [style]="{'width':'100%'}" ditable="editable" [(ngModel)]="inputDiusulkan"
                            id="field_diusilkan" name="diusulkan"></p-dropdown>
                    </div>
                </div>
                <!-- <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_diusilkan">Diusulkan Oleh</label>
                        <input type="text" class="form-control" name="diusulkan" id="field_diusilkan"
                            [(ngModel)]="inputDiusulkan" />
                    </div>
                </div> -->
                <div class="col-md-4" [hidden]="(idlocal === 'pusat')">
                    <div class="form-group">
                        <label class="form-control-label" for="field_appAsmen">Assistant Manager Departemen</label>
                        <p-dropdown [options]="listASSMGR" styleClass="form-control" autoWidth="false"
                            [style]="{'width':'100%'}" ditable="editable" [(ngModel)]="inputAppAssmen"
                            id="field_appAsmen" name="appAsmen"></p-dropdown>
                    </div>
                </div>
                <div class="col-md-4" [hidden]="(idlocal === 'pusat')">
                    <div class="form-group">
                        <label class="form-control-label mandatory" for="field_appDept">Manager Departemen</label>
                        <p-dropdown [options]="listMGR" styleClass="form-control" autoWidth="false"
                            [style]="{'width':'100%'}" ditable="editable" [(ngModel)]="inputAppDept" id="field_appDept"
                            name="appDept"></p-dropdown>
                    </div>
                </div>
                <div class="col-md-4" [hidden]="(idlocal === 'pabrik')">
                    <div class="form-group">
                        <label class="form-control-label mandatory" for="field_appDept">Diusulkan</label>
                        <p-dropdown [options]="listMGR" styleClass="form-control" autoWidth="false"
                            [style]="{'width':'100%'}" ditable="editable" [(ngModel)]="inputAppDept" id="field_appDept"
                            name="appDept"></p-dropdown>
                    </div>
                </div>
                <!-- <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_appDept">Manager Departemen</label>
                        <input type="text" class="form-control" name="appDept" id="field_appDept"
                            [(ngModel)]="inputAppDept" />
                    </div>
                </div> -->
                <div class="col-md-4" [hidden]="(idlocal === 'pabrik')">
                    <div class="form-group">
                        <label class="form-control-label mandatory" for="field_appPabrik">Kepala Bagian</label>
                        <p-dropdown [options]="listKBG" styleClass="form-control" autoWidth="false"
                            [style]="{'width':'100%'}" ditable="editable" [(ngModel)]="inputAppPabrik"
                            id="field_appPabrik" name="appPabrik"></p-dropdown>
                    </div>
                </div>
                <!-- <div class="col-md-4" [hidden]="(idlocal === 'pabrik')">
                    <div class="form-group">
                        <label class="form-control-label" for="field_appPabrik">Kepala Bagian</label>
                        <input type="text" class="form-control" name="appPabrik" id="field_appPabrik"
                        [(ngModel)]="inputAppPabrik" />
                    </div>
                </div> -->
                <div class="col-md-4" [hidden]="(idlocal === 'pusat')">
                    <div class="form-group">
                        <label class="form-control-label mandatory" for="field_appPabrik">Kepala Bagian</label>
                        <input type="text" class="form-control" name="appPabrik" id="field_appPabrik"
                            [(ngModel)]="inputAppPabrik" readonly />
                    </div>
                </div>
                <div class="col-md-12">
                    <label class="form-control-label" for="field_Lab">Optional Lintas Departemen </label>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_app1">Approval 1</label>
                        <p-dropdown [options]="listAPP" styleClass="form-control" autoWidth="false"
                            [style]="{'width':'100%'}" ditable="editable" [(ngModel)]="inputApp1" id="field_app1"
                            name="app1"></p-dropdown>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_app2">Approval 2</label>
                        <p-dropdown [options]="listAPP" styleClass="form-control" autoWidth="false"
                            [style]="{'width':'100%'}" ditable="editable" [(ngModel)]="inputApp2" id="field_app2"
                            name="app2"></p-dropdown>
                    </div>
                </div>
                <!-- <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_app1">Approval 1</label>
                        <input type="text" class="form-control" name="app1" id="field_app1"
                            [(ngModel)]="inputApp1" />
                    </div>
                </div> -->
                <!-- <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-control-label" for="field_app2">Approval 2</label>
                        <input type="text" class="form-control" name="app2" id="field_app2"
                            [(ngModel)]="inputApp2" />
                    </div>
                </div> -->
                <div class="col-md-12">
                    <div class="form-group">
                        <!-- <label class="form-control-label mandatory" for="field_content">Attachment </label><br>
                        <div class="form-group" class="form-text text-danger clearfix">
                            <input type="file" (change)="uploadFile($event)">
                            <span *ngIf="purchaseOrder.content">{{sizePdf}} bytes</span>
                            <button *ngIf="purchaseOrder.content" type="button" (click)="clearPdf()">
                                <span class="fa fa-times"></span>
                            </button>
                        </div> -->
                        <label class="form-control-label" for="field_content">Attachment </label>
                        <div>
                            <img [src]="'data:' + purchaseOrder.contentContentType + ';base64,' + purchaseOrder.content"
                                style="max-height: 300px;" *ngIf="purchaseOrder.content" alt="  PP" />
                            <div *ngIf="purchaseOrder.content" class="form-text text-danger clearfix">
                                <span class="pull-left">{{purchaseOrder.contentContentType}},
                                    {{byteSize(purchaseOrder.content)}}</span>
                                &nbsp;&nbsp;&nbsp;
                                <button type="button"
                                    (click)="clearInputImage('content', 'contentContentType', 'fileImage')"
                                    class="btn btn-secondary">
                                    <span class="fa fa-times"></span>
                                </button>
                                <button type="button" (click)="openPDF('content', 'contentContentType')"
                                    class="btn btn-secondary">
                                    <span class="fa fa-eye"></span>
                                </button>
                            </div>
                            <input type="file" id="file_content"
                                (change)="setFileData($event, purchaseOrder, 'content', true)"
                                accept=".pdf,.doc,.docx, image/*" jhiTranslate="entity.action.addimage" />
                            <div [hidden]="!isValidImage" class="text-danger">
                                {{'mpmApp.document.fileLimit' | translate}}
                            </div>
                            <div>
                                <small>max file size: {{maxFileSize | ByteSize}}</small>
                            </div>
                            <!--START INPUT UNTUK VALIDASI REQUIRED IMAGE-->
                            <input type="text" style="display:none;" name="isInsertFile" [(ngModel)]="isInsertFile"
                                required>
                            <!--END INPUT UNTUK VALIDASI REQUIRED IMAGE-->
                        </div>
                        <input type="hidden" class="form-control" name="content" id="field_content"
                            [(ngModel)]="purchaseOrder.content" />
                        <input type="hidden" class="form-control" name="contentContentType"
                            id="field_contentContentType" [(ngModel)]="purchaseOrder.contentContentType" />
                    </div>
                </div>
            </div>
            <p-dataTable [value]="unitChecks" [editable]="true">
                <p-header>
                    <div>
                        <div class="text-left">
                            <p-accordion class="detail-accordion" expandIcon="fa fa-search-plus" collapseIcon="fa fa-search-minus" [activeIndex]="index">
                                <p-accordionTab header="Detail" [selected]="true">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label class="form-control-label" for="field_remainingStock">File Import PP</label>
                                            <input type="file" class="form-control" (change)="onFileSelected($event)"/>
                                        </div>
                                    </div>
                                </div>
                                <div class="btn-filter-wrapper">
                                    <button type="button" class="btn btn-primary" (click)="validateAdd()">
                                        <span>ENTER</span>
                                    </button>
                                </div>
                                </p-accordionTab>
                            </p-accordion>
                        </div>
                    </div>
                </p-header>
                <p-column header="{{'global.field.sequence'|translate}}"
                    [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column field="noUrut" header="No Urut" [editable]="true">
                    <!-- <ng-template let-rowData="rowData" pTemplate="body">
                    {{PurchaseOrder[]rowData.noUrut}}
                </ng-template> -->
                </p-column>
                <p-column header="Kode Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.codeProduk}}
                    </ng-template>
                </p-column>
                <p-column header="Nama Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.produkName}}
                    </ng-template>
                </p-column>
                <p-column header="Pic">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.pic}}
                    </ng-template>
                </p-column>
                <p-column header="Kuantitas">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty}}
                    </ng-template>
                </p-column>
                <p-column header="Satuan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.unit}}
                    </ng-template>
                </p-column>
                <p-column header="Tanggal Kirim">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dtSent | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Tanggal penawaran">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dtOffer | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="No Penawaran">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.offerNumber}}
                    </ng-template>
                </p-column>
                <p-column header="Nama supplier">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.supplyerName}}
                    </ng-template>
                </p-column>
                <p-column header="Mata Uang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.mataUang}}
                    </ng-template>
                </p-column>
                <p-column header="Harga">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.supplyerPrice}}
                    </ng-template>
                </p-column>
                <!-- <p-column header="Tgl Dibutuhkan">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dtNecessity | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column> -->
                <p-column header="Catatan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.remainingStock}}
                    </ng-template>
                </p-column>
                <!-- <p-column header="Sisa PO">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.remainingPo}}
                </ng-template>
            </p-column> -->
                <p-column header="Aksi" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        <button pButton type="button" icon="fa-trash-o" class="flat-button" pTooltip="Remove"
                            (click)="removeData(rowIndex)">
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
            <!-- <jhi-purchase-order-item-in-purchase-order-as-list [idPurchaseOrder]="idPurchaseOrder"></jhi-purchase-order-item-in-purchase-order-as-list> -->
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>